Issue with libiconv #11130

Closed
zacparker opened this Issue Mar 21, 2012 · 4 comments

3 participants

@zacparker

Link to gist here:

https://gist.github.com/2153379

brew doctor tells me:

libiconv was detected in your PREFIX.
Homebrew doesn't provide a libiconv formula, and expects to link against
the system version in /usr/lib.

If you have a non-Homebrew provided libiconv, many formulae will fail
to compile or link, especially if it wasn't compiled with the proper
architectures.

@adamv

We've removed libiconv from Homebrew itself, so you may need to remove and rebuild things you had installed previously which linked against it. PHP errors should be taken to homebrew-php.

@zacparker

Ok thanks. I've removed the Homebrew version, yet still get the same error from brew doctor. Any ideas on finding/removing renegade libiconv?

@mistydemeo

The libiconv check is looking for two files in your prefix: lib/libiconv.dylib, and include/iconv.h. If either of those exists, you'll need to delete them to clear the message.

@zacparker

perfect, thanks!

@zacparker zacparker closed this Mar 23, 2012
@zacparker zacparker referenced this issue in Homebrew/homebrew-php Aug 14, 2013
Closed

Issue with libiconv (moved from homebrew) #36

@xu-cheng xu-cheng locked and limited conversation to collaborators Feb 16, 2016
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.